MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029021Open CASCADE[OCCT] OCCT:Codingpublic2017-08-19 14:402017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029021: Coding Rules - eliminate GCC warnings in Qt sample
DescriptionThe following warnings in Qt sample should be eliminated:
ApplicationCommon.cxx:24, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here [-Wreorder]

ApplicationCommon.cxx:364, GNU C Compiler 4 (gcc), Priority: Normal
'fileQuitAction' may be used uninitialized in this function [-Wmaybe-uninitialized]

ApplicationCommon.cxx:383, GNU C Compiler 4 (gcc), Priority: Normal
'windowAction' may be used uninitialized in this function [-Wmaybe-uninitialized]

ApplicationCommon.h:75, GNU C Compiler 4 (gcc), Priority: Normal
'QToolBar* ApplicationCommonWindow::myStdToolBar' [-Wreorder]

ApplicationCommon.h:76, GNU C Compiler 4 (gcc), Priority: Normal
'QToolBar* ApplicationCommonWindow::myCasCadeBar' [-Wreorder]

ApplicationCommon.h:76, GNU C Compiler 4 (gcc), Priority: Normal
'ApplicationCommonWindow::myCasCadeBar' will be initialized after [-Wreorder]

ApplicationCommon.h:77, GNU C Compiler 4 (gcc), Priority: Normal
'ApplicationCommonWindow::myFilePopup' will be initialized after [-Wreorder]

ApplicationCommon.h:77, GNU C Compiler 4 (gcc), Priority: Normal
'QMenu* ApplicationCommonWindow::myFilePopup' [-Wreorder]

ApplicationCommon.h:78, GNU C Compiler 4 (gcc), Priority: Normal
'ApplicationCommonWindow::myWindowPopup' will be initialized after [-Wreorder]

MDIWindow.cxx:146, GNU C Compiler 4 (gcc), Priority: Normal
'mainWidget' may be used uninitialized in this function [-Wmaybe-uninitialized]

View.cxx:1056, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Boolean V3d_View::Export(Standard_CString, Graphic3d_ExportFormat, Graphic3d_SortType)' is 
deprecated (declared at ../../../inc/V3d_View.hxx:809): Export to Vector graphic is incompatible with 
Programmable Pipeline and should not be used [-Wdeprecated-declarations]

Translate.cxx:271, GNU C Compiler 4 (gcc), Priority: Normal
'status' may be used uninitialized in this function [-Wmaybe-uninitialized]

Translate.cxx:514, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'IFSelect_RetDone' not handled in switch [-Wswitch]

Translate.cxx:514, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'IFSelect_RetStop' not handled in switch [-Wswitch]

BaseDriver.cpp:54, GNU C Compiler 4 (gcc), Priority: Normal
unused parameter 'log' [-Wunused-parameter]

SimpleDriver.cpp:62, GNU C Compiler 4 (gcc), Priority: Normal
unused parameter 'log' [-Wunused-parameter]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069678)
git (administrator)
2017-08-19 14:41

Branch CR29021 has been created by kgv.

SHA-1: 92adf7312fd11d8dbbc96b317e0bf8708fc7afe4


Detailed log of new commits:

Author: kgv
Date: Sat Aug 19 14:40:40 2017 +0300

    0029021: Coding Rules - eliminate GCC warnings in Qt sample
(0069679)
git (administrator)
2017-08-19 15:24

Branch CR29021 has been updated forcibly by kgv.

SHA-1: a2e47b429673fb38a033d6ef0c6dde7c329b4c06
(0069681)
kgv (developer)
2017-08-19 15:43

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29021-master-KGV/view/SAMPLES/job/CR29021-master-KGV-OCCT-Debian70-64-qt-samples-linux/2/ [^]
(0069700)
bugmaster (administrator)
2017-08-21 11:37

QT samples have been compiled on Linux and Windows platform on combination -
OCCT branch : CR29021 : SHA-1: a2e47b429673fb38a033d6ef0c6dde7c329b4c06
Products branch : master
Linux :
OCCT: 0 (16 on master)
Products: 228 (242 on master)
Windows
OCCT: 1 (4 on master)
(0069908)
git (administrator)
2017-08-25 16:13

Branch CR29021 has been deleted by kgv.

SHA-1: a2e47b429673fb38a033d6ef0c6dde7c329b4c06

- Related Changesets
occt: master aa17dac8
Timestamp: 2017-08-19 11:40:40
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029021: Coding Rules - eliminate GCC warnings in Qt sample
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/FuncDemo/src/BaseDriver.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/SimpleDriver.cpp Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-19 14:40 kgv New Issue
2017-08-19 14:40 kgv Assigned To => kgv
2017-08-19 14:41 git Note Added: 0069678
2017-08-19 15:24 git Note Added: 0069679
2017-08-19 15:43 kgv Note Added: 0069681
2017-08-19 15:43 kgv Assigned To kgv => bugmaster
2017-08-19 15:43 kgv Severity minor => trivial
2017-08-19 15:43 kgv Status new => resolved
2017-08-19 15:43 kgv Status resolved => reviewed
2017-08-21 11:37 bugmaster Note Added: 0069700
2017-08-21 11:37 bugmaster Status reviewed => tested
2017-08-21 11:44 bugmaster Test case number => Not required
2017-08-25 15:02 bugmaster Changeset attached => occt master aa17dac8
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069908
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker